/**********************************************************************************************************************
 * \file Cpu0_Main.c
 * \copyright Copyright (C) Infineon Technologies AG 2019
 * 
 * Use of this file is subject to the terms of use agreed between (i) you or the company in which ordinary course of 
 * business you are acting and (ii) Infineon Technologies AG or its licensees. If and as long as no such terms of use
 * are agreed, use of this file is subject to following:
 * 
 * Boost Software License - Version 1.0 - August 17th, 2003
 * 
 * Permission is hereby granted, free of charge, to any person or organization obtaining a copy of the software and 
 * accompanying documentation covered by this license (the "Software") to use, reproduce, display, distribute, execute,
 * and transmit the Software, and to prepare derivative works of the Software, and to permit third-parties to whom the
 * Software is furnished to do so, all subject to the following:
 * 
 * The copyright notices in the Software and this entire statement, including the above license grant, this restriction
 * and the following disclaimer, must be included in all copies of the Software, in whole or in part, and all 
 * derivative works of the Software, unless such copies or derivative works are solely in the form of 
 * machine-executable object code generated by a source language processor.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT SHALL THE 
 * COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN 
 * CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS 
 * IN THE SOFTWARE.
 *********************************************************************************************************************/
#include "Ifx_Types.h"
#include "Ifx_reg.h"
#include "IfxCpu.h"
#include "IfxScuWdt.h"

#include "qspi1_public.h"

#define QSPI_BUF_SIZE_BYTES 120

volatile uint8 test;
uint8 __attribute__((section (".data.data_cpu0"))) __attribute__((__align(4))) qspiMasterTxBuf[QSPI_BUF_SIZE_BYTES]; /**/
uint8 __attribute__((section (".data.data_cpu0"))) __attribute__((__align(4))) qspiMasterRxBuf[QSPI_BUF_SIZE_BYTES]; /**/
uint8 __attribute__((section (".data.data_cpu0"))) QSPI1_TxLen;


void core0_main(void)
{
    /* !!WATCHDOG0 AND SAFETY WATCHDOG ARE DISABLED HERE!!
     * Enable the watchdogs and service them periodically if it is required
     */
    IfxScuWdt_disableCpuWatchdog(IfxScuWdt_getCpuWatchdogPassword());
    IfxScuWdt_disableSafetyWatchdog(IfxScuWdt_getSafetyWatchdogPassword());
    
    /*initialize data for transfer on SPI master */
    {
      uint8 *src = (uint8*)(&qspiMasterTxBuf[0]);
      for (uint8 i = 0; i < QSPI_BUF_SIZE_BYTES; i++)
        *src++ = (0x40 | i);
    }

    QSPI1_TxLen = 64;
    DMA_QSPI1_Init(QSPI1_TxLen, QSPI_DL, (uint32) &qspiMasterTxBuf[0], (uint32) &qspiMasterRxBuf[0]);
    QSPI1_Init();

    IfxCpu_enableInterrupts();

    while(1)
    {
        if (test == 1)
        {
          test = 0;
          QSPI1_StoreBACON(baconEntrySpi1Start);
        }

    }
}

