/******************************************************************************
 * \file qspi2_public.h
 * \copyright Copyright (C) Infineon Technologies AG 2019
 *
 * Use of this file is subject to the terms of use agreed between (i) you or
 * the company in which ordinary course of business you are acting and (ii)
 * Infineon Technologies AG or its licensees. If and as long as no such terms
 * of use are agreed, use of this file is subject to following:
 *
 * Boost Software License - Version 1.0 - August 17th, 2003
 *
 * Permission is hereby granted, free of charge, to any person or organization
 * obtaining a copy of the software and accompanying documentation covered by
 * this license (the "Software") to use, reproduce, display, distribute,
 * execute, and transmit the Software, and to prepare derivative works of the
 * Software, and to permit third-parties to whom the Software is furnished to
 * do so, all subject to the following:
 *
 * The copyright notices in the Software and this entire statement, including
 * the above license grant, this restriction and the following disclaimer, must
 * be included in all copies of the Software, in whole or in part, and all
 * derivative works of the Software, unless such copies or derivative works are
 * solely in the form of machine-executable object code generated by a source
 * language processor.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
 * SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
 * FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *****************************************************************************/
#ifndef QSPI2_PUBLIC_H
#define QSPI2_PUBLIC_H

#define DMA_CH_SIZE_INT8  0
#define DMA_CH_SIZE_INT16 1
#define DMA_CH_SIZE_INT32 2

/*change this for the size of the DMA transfer, the endianess is handled by the QSPI */
#define QSPI_DL DMA_CH_SIZE_INT8

extern Ifx_QSPI_BACON baconEntrySpi1Start;

/* prototypes */
extern void DMA_QSPI1_Init(uint16 trel, uint8 channelWidth, uint32 srcAdr, uint32 dstAdr);

extern void QSPI1_Init(void);
extern void QSPI1_SendPacket(uint32 *src, uint32 *dst, uint8 txCnt);
extern void QSPI1_SendPacketU8(uint8 *src, uint8 *dst, uint8 txCnt);
extern void QSPI1_SendPacketU16(uint16 *src, uint16 *dst, uint8 txCnt);
extern void QSPI1_SendPacketU32(uint32 *src, uint32 *dst, uint8 txCnt);
extern void QSPI1_StoreBACON(Ifx_QSPI_BACON bacon);
extern void QSPI1_ConfigServiceDMA(void);
extern void QSPI1_ConfigServiceInterrupts(void);
extern void QSPI1_ConfigServicePolled(void);

#endif	/* end of file */

/*************************************************************************
 Development history of the file



*************************************************************************/
